# Datasets

![schematics of the flow of analysis](resources/datasets.png)

- [01_raw](https://gin.g-node.org//larkumlab/Ronny_Bergmann_AirtrackMotorPlanning_RawData): the raw data being analyzed:
  - **top-view videos** (`top`): AVI files taken at 200 Hz using ZR View (a custom video acquisition software) under the near-UV lighting, trial-based.
  - **eye videos** (`left-eye` and `right-eye`): AVI files taken at 100 Hz using PylonPD (a custom video acquisition software) under the IR-lighting, trial-based.
  - **behavioral annotation** (`states`): CSV files containing manual annotation of behavioral states based on the top-view videos, trial-based.
- [02_whisker-tracking](https://gin.g-node.org//larkumlab/Ronny_Bergmann_AirtrackMotorPlanning_TrackedWhiskerPositions): whisker tracking data based on the top-view videos, using the [videobatch](https://doi.org/10.5281/zenodo.3407665) python module:
  - **maximal projections** (`projection`): PNG files containing a maximal projection of top-view video frames from each single trial.
  - **ROIs** (`ROI`): PNG files representing the mask for ROIs generated from the maximal projection images. These ROIs were used for the subsequent tracking.
  - **color-tracking mask videos** (`mask`): MP4 files containing color masks generated by color-tracking procedure of [videobatch](https://doi.org/10.5281/zenodo.3407665).
  - **tracked whisker positions** (`result`): CSV files containing the center-of-mass positions of tracked whiskers (in pixels).
- [03_eye-tracking](https://gin.g-node.org//larkumlab/Ronny_Bergmann_AirtrackMotorPlanning_TrackedEyePositions): CSV files containing information about eye- and pupil-tracking based on the eye videos, using [DeepLabCut](https://doi.org/10.1038/s41593-018-0209-y) and [fitting2d](https://doi.org/10.5281/zenodo.3782789).
- [04_formatted](https://gin.g-node.org//larkumlab/Ronny_Bergmann_AirtrackMotorPlanning_FormattedData): the data being used for analysis. Includes a set of videos where the eye videos and behavioral annotations are aligned and overlaid on top of the top-view videos (video quality is not so high).