# Analysis

The analysis code used in the study.

- [01_asymmetry](01_asymmetry.ipynb): Plots and statistical analysis on whisker asymmetry and pupil positions under different behavioral states.
- [02a_prediction-analysis-ROC](02a_prediction-analysis-ROC.ipynb): ROC analysis of whisker asymmetry and pupil positions during the backward-running epoch.
- [02b_prediction-analysis-perceptron](02b_prediction-analysis-perceptron.ipynb): Perceptron analysis of whisker asymmetry and pupil positions during the backward-running epoch.
- [03_saccades](03_saccades.ipynb): Analysis of whisker asymmetry around saccades.

## Dependencies

You will need Python ≥ 3.4 to run the code.

| Package                                                      | Version used in the paper |
| ------------------------------------------------------------ | ------------------------- |
| `numpy`                                                      | 1.18.1                    |
| `scipy`                                                      | 1.4.1                     |
| `matplotlib`                                                 | 3.1.3                     |
| `statsmodels` (used to run [`kw_dunn.py`](kw_dunn.py))       | 0.13.0                    |
| `pandas`                                                     | 1.0.1                     |
| `scikit-learn` (only for [02b](02b_prediction-analysis-perceptron.ipynb)) | 0.22.1                    |
| `sliding1d`                                                  | 1.0                       |

You can install all the packages via `pip` (assuming you have an appropriate version of python):

```python
$ pip install numpy scipy matplotlib statsmodels pandas scikit-learn sliding1d
```

In case anything does not work, consider upgrading/downgrading the package that generates the error.

## License

- `kw_dunn.py` is based on the one being shared at https://gist.github.com/alimuldal/fbb19b73fa25423f02e8 . The authors of this repository do not claim any copyright.
- For the other parts of the code (including packages and modules stored in this directory): so long as you cite {{the paper}} or this repository, you are free to reuse, remix, and/or redistribute for any purposes.