# Bergmann, Sehara _et al._, 2022 Data Repository

The data repository for [Bergmann R, Sehara K, Dominiak SE, Kremkow J, Larkum ME, Sachdev RNS (2022) Coordination between eye movement and whisking in head fixed mice navigating a plus-maze. _eNeuro_ ENEURO.0089-22.2022](https://doi.org/10.1523/ENEURO.0089-22.2022) (eye-whisker coordination on Airtrack).

- [01_data](01_data): contains datasets used for this study. includes the experimental / analytical procedures used to generate data.
- [02_models](02_models): contains the computational model used for this study.
- [03_demos](03_demos): some code demonstrating the usage of the `datareader` module, and the core part of our analysis.
- [04_analysis](04_analysis): code for generation of analysis figures.

## Downloading the repository

The command below will download this repository.

```bash
$ gin get larkumlab/Bergmann_2022_DataRepository 
$ cd Bergmann_2022_DataRepository

# at this point, it will _not_ contain data under `01_data` and `02_models`.
# to download them all, run the command below
# in the "Bergmann_2022_DataRepository" directory:
$ git submodule update --init --recursive # downloads ~3 GiB of data

# some data files in the data sub-repositories will _not_ have
# their contents (i.e. "annexed").
# the command below will enable GIN commands (e.g. `gin get-content`)
# allowing content retrieval:
$ git submodule foreach --recursive 'gin init'
```



----

Copyright (c) 2022, [Ronny Bergmann](https://orcid.org/0000-0002-1477-7502), [Keisuke Sehara](https://orcid.org/0000-0003-4368-8143), Sina E. Dominiak, [Julien Colomb](https://orcid.org/0000-0002-3127-5520), [Jens Kremkow](https://orcid.org/0000-0001-7077-4528), [Matthew E. Larkum](https://orcid.org/0000-0001-9799-2656), [Robert N. S. Sachdev](https://orcid.org/0000-0002-6627-0199), [CC-BY 4.0](https://creativecommons.org/licenses/by/4.0/)